#include<bits/stdc++.h>
using namespace std;
inline int read(){
	char c=getchar(); int d=0,e=1;
	while (c<'0'||c>'9') {
		if (c=='-') e=-1;
		c=getchar();
	}
	while (c>='0'&&c<='9') {
		d=(d<<3)+(d<<1)+c-'0';
		c=getchar();
	}
	return d*e;
}
int main(){
	
	return 0;
}
